<?php

namespace Drupal\contentai\Services;

/**
 * Service to help get content to OpenAI.
 */
class ContentAIService {

  const MODEL = 0;
  const TEMPERATURE = 1;
  const QUESTION = 3;

  /**
   * Get AI content.
   */
  public function getContent(string $body = '', Array $fields = []) {

    $text = '';
    $client = \Drupal::service('openai.client');
    $fields_texts = [];

    $config_factory = \Drupal::configFactory();
    $config = $config_factory->getEditable('contentai.settings');

    foreach ($fields as $field) {

      $response = $client->completions()->create(
        [
          'model' => $config->get($field)[self::MODEL],
          'prompt' => str_replace('{body}', $body, $config->get($field)[self::QUESTION]) ,
          'temperature' => intval($config->get($field)[self::TEMPERATURE]),
          'max_tokens' => 2048,
        ],
      );

      $result = $response->toArray();
      $text = trim($result["choices"][0]["text"]) ?? t('No terms could be generated from the provided input.');

      $fields_texts[$field] = $text;
    }

    return $fields_texts;
  }

}
